## treelib 1.6.4

=== debian/changelog ===
treelib (1.6.4-1) sid; urgency=medium

  * Initial upload to sid, required dependency for arista-avd.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 11 May 2023 10:46:42 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=treelib

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_installexamples:
	# correcting shebang
	sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/python3|' debian/python3-treelib/usr/share/doc/python3-treelib/examples/*.py

## treelib 1.7.1

=== docs/requirements.txt ===
ghp-import==0.5.5
sphinx==1.8.1

## treelib 1.7.0

=== debian/changelog ===
treelib (1.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Sep 2023 10:59:06 +0200

treelib (1.6.4-3) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1049152).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 12:15:21 +0200

treelib (1.6.4-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading source-only without changes to allow testing migration.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 21:16:46 +0200

=== debian/control ===
Source: treelib
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-six <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/caesar0301/treelib
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/treelib
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/treelib

Package: python3-treelib
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python implementation of tree structure
 treelib is a simple tree data structure implementation in Python.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/treelib-$1\.tar\.gz/ \
https://github.com/caesar0301/treelib/tags .*/v?(\d\S+)\.tar\.gz

## treelib 1.7.1

=== debian/changelog ===
treelib (1.7.1-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:39:23 +0200

treelib (1.7.1-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 1.7.1.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Mar 2025 09:29:48 +0100

treelib (1.7.0-3) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Updating email address.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 15:52:34 +0100

treelib (1.7.0-2) sid; urgency=medium

  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 06:54:18 +0200

=== debian/control ===
Source: treelib
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-six <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/caesar0301/treelib
Vcs-Browser: https://forgejo.debian.net/arista/treelib
Vcs-Git: https://forgejo.debian.net/arista/treelib

Package: python3-treelib
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python implementation of tree structure
 treelib is a simple tree data structure implementation in Python.

## treelib 1.8.0

=== Makefile ===
.PHONY: help install install-dev test test-coverage lint autofix autofix-imports autofix-pep8 autofix-unused format format-check clean build docs
.DEFAULT_GOAL := help

# Variables
PYTHON := python3
POETRY := poetry
DIRS := examples treelib tests

help: ## Show this help message
	@echo "Available commands:"
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "  \033[36m%-20s\033[0m %s\n", $$1, $$2}'

install: ## Install production dependencies
	$(POETRY) install --only main

install-dev: ## Install development dependencies
	$(POETRY) install

test: install-dev ## Run tests with pytest
	$(POETRY) run pytest

run-examples: install ## Run all example scripts to verify they work correctly
	@echo "Running all example scripts..."
	@echo "🚀 Running getting_started.py..."
	@$(POETRY) run python examples/getting_started.py > /dev/null
	@echo "✅ getting_started.py completed successfully"
	@echo "👨‍👩‍👧‍👦 Running family_tree.py..."
	@$(POETRY) run python examples/family_tree.py > /dev/null
	@echo "✅ family_tree.py completed successfully"
	@echo "💾 Running save_tree2file.py..."
	@$(POETRY) run python examples/save_tree2file.py > /dev/null
	@echo "✅ save_tree2file.py completed successfully"
	@echo "📁 Running folder_tree.py..."
	@$(POETRY) run python examples/folder_tree.py --demo > /dev/null
	@echo "✅ folder_tree.py completed successfully"
	@echo "📄 Running json_trees.py..."
	@$(POETRY) run python examples/json_trees.py > /dev/null
	@echo "✅ json_trees.py completed successfully"
	@echo "🌳 Running recursive_dirtree.py..."
	@$(POETRY) run python examples/recursive_dirtree.py > /dev/null
	@echo "✅ recursive_dirtree.py completed successfully"
	@echo "🧮 Running tree_algorithms.py..."
	@$(POETRY) run python examples/tree_algorithms.py > /dev/null
	@echo "✅ tree_algorithms.py completed successfully"
	@echo "🎉 All examples completed successfully!"

lint: install-dev ## Run linting checks (flake8)
	$(POETRY) run flake8 $(DIRS) --count --select=E9,F63,F7,F82 --ignore=E231 --max-line-length=120 --show-source --statistics

autofix-unused: install-dev ## Remove unused imports and variables
	$(POETRY) run autoflake --remove-all-unused-imports --remove-unused-variables --in-place --recursive $(DIRS)

autofix-imports: install-dev ## Sort and organize imports
	$(POETRY) run isort $(DIRS) --profile black

autofix-pep8: install-dev ## Fix PEP 8 style issues
	$(POETRY) run autopep8 --in-place --recursive --aggressive --aggressive $(DIRS)

autofix: autofix-unused autofix-imports autofix-pep8 format

format: install-dev ## Format code with black
	$(POETRY) run black $(DIRS)

format-check: install-dev ## Check code formatting with black
	$(POETRY) run black --check $(DIRS)

check: lint format-check ## Run all checks (lint + format check)

clean: ## Clean build artifacts and cache
	rm -rf build/
	rm -rf dist/
	rm -rf *.egg-info/
	rm -rf .pytest_cache/
	rm -rf .coverage
	rm -rf htmlcov/
	find . -type d -name __pycache__ -delete
	find . -type f -name "*.pyc" -delete

build: ## Build the package
	$(POETRY) build

docs: ## Build documentation
	@if [ -d "docs" ]; then \
		cd docs && make html; \
	else \
		echo "No docs directory found"; \
	fi

=== docs/requirements.txt ===
ghp-import==2.1.0
sphinx>=4.0.0
sphinx-rtd-theme
toml>=0.10.0

=== debian/changelog ===
treelib (1.8.0-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:35:49 +0200

treelib (1.8.0-1) experimental; urgency=medium

  * Adding upstream metadata.
  * Merging upstream version 1.8.0.
  * Adding newly required pybuild-plugin-pyproject to build-depends.
  * Adding newly required python3-poetry-core to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Jul 2025 06:27:12 +0200

treelib (1.7.1-3) experimental; urgency=medium

  * Harmonizing upstream urls.
  * Correcting wrong upstream project name in copyright.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 May 2025 04:49:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
  python3-setuptools,
  python3-six <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/caesar0301/treelib
-Vcs-Browser: https://forgejo.debian.net/arista/treelib
-Vcs-Git: https://forgejo.debian.net/arista/treelib
+Vcs-Browser: https://forgejo.debian.net/python/treelib
+Vcs-Git: https://forgejo.debian.net/python/treelib
 
 Package: python3-treelib
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 %:
 	dh ${@} --buildsystem=pybuild
 
+execute_after_dh_auto_clean:
+	# help pybuild
+	rm -rf *.egg-info
+
 execute_after_dh_installexamples:
 	# correcting shebang
 	sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/python3|' debian/python3-treelib/usr/share/doc/python3-treelib/examples/*.py

=== debian/watch ===
version=4
https://github.com/caesar0301/treelib/tags .*/v?(\d.*)@ARCHIVE_EXT@
